Bug 860603 - (CVE-2012-4450) CVE-2012-4450 389-ds-base: Change on SLAPI_MODRDN_NEWSUPERIOR is not evaluated in ACL (ACL rules bypass possible)
CVE-2012-4450 389-ds-base: Change on SLAPI_MODRDN_NEWSUPERIOR is not evaluate...
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 860608 860609 860772
Blocks: 855229 860613
  Show dependency treegraph
Reported: 2012-09-26 05:32 EDT by Jan Lieskovsky
Modified: 2015-10-23 10:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 23:45:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-26 05:32:20 EDT
A possibility to bypass access control list (ACL) definitions was found in the way 389 Directory Server performed LDAP modifyRDN operation upon request from client. When a user has been granted access to set of DN entries, but denied access to a specific subset of those entries, it was possible the user to obtain temporary (till next Directory Server restart) access to that subset of entries (they should not have had otherwise ability to access) when the DN entry was moved via database modify RDN function.

Upstream ticket:
[1] https://fedorahosted.org/389/ticket/340

Relevant upstream patch:
[2] http://git.fedorahosted.org/cgit/389/ds.git/commit/?id=5beb93d42efb807838c09c5fab898876876f8d09

This issue was found by Noriko Hosoi of Red Hat.
Comment 1 Jan Lieskovsky 2012-09-26 05:47:38 EDT
This issue affects the version of the 389-ds-base package, as shipped with Red Hat Enterprise Linux 6.


This issue affects the versions of the 389-ds-base package, as shipped with Fedora release of 16 and 17. Please schedule an update.


This issue affects the version of the 389-ds-package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-09-26 05:48:53 EDT
Created 389-ds-base tracking bugs for this issue

Affects: fedora-all [bug 860608]
Affects: epel-5 [bug 860609]
Comment 3 Jan Lieskovsky 2012-09-26 05:57:08 EDT
CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/09/26/3
Comment 4 Jan Lieskovsky 2012-09-26 12:03:51 EDT
The CVE identifier of CVE-2012-4450 has been assigned to this issue:
Comment 14 Murray McAllister 2013-02-13 07:34:42 EST

This issue was discovered by Noriko Hosoi of Red Hat.
Comment 15 errata-xmlrpc 2013-02-21 03:20:55 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0503 https://rhn.redhat.com/errata/RHSA-2013-0503.html
Comment 16 Huzaifa S. Sidhpurwala 2013-02-21 23:45:56 EST


Note You need to log in before you can comment on or make changes to this bug.